
// ****************************************************************************
//                                 
//                                  Buttons
//
// ****************************************************************************

#include "include.h"

// buttons counters
s8 BtnCnt[BTN_NUM];

// buttons bits
u8 BtnBit[BTN_NUM] = {
	G1SELBIT,
	G1DNBIT,
	G1UPBIT,
	G2SELBIT,
	G2DNBIT,
	G2UPBIT,
};

// initialize buttons
void ButtonInit()
{
	BTNDDR &= ~BTNBIT_ALL;
	BTNPORT |= BTNBIT_ALL;
}

// check button
Bool BtnCheck(u8 inx)
{
	if ((BTNPIN & BtnBit[inx]) == 0)
	{
		if (BtnCnt[inx] == 5)
			return True;
		else
			BtnCnt[inx]++;

		return BtnCnt[inx] == 1;
	}
	BtnCnt[inx] = 0;

	return False;
}
