@echo off
rem Compilation...
call d.bat
make all
if not errorlevel 1 goto ok
echo.
pause
:ok
avr-objcopy -j .eeprom -O binary FreqGen.elf FreqGen_eeprom.bin
avr-objcopy -R .eeprom --pad-to 0x2000 -O binary FreqGen.elf FreqGen_rom.bin
copy /b FreqGen_rom.bin + FreqGen_eeprom.bin FreqGen.bin > nul
avr-size -C --mcu=atmega8 FreqGen.elf

if exist src\*.o del src\*.o
if exist FreqGen.lst del FreqGen.lst
if exist FreqGen.elf del FreqGen.elf
