
// ****************************************************************************
//                                 
//                                  Buttons
//
// ****************************************************************************

// buttons setup
#define BTNDDR	DDRD
#define BTNPORT PORTD
#define BTNPIN PIND

#define G1SELBIT	B0
#define G1DNBIT		B1
#define G1UPBIT		B2
#define G2SELBIT	B5
#define G2DNBIT		B6
#define G2UPBIT		B7

#define BTNBIT_ALL (G1SELBIT|G1DNBIT|G1UPBIT|G2SELBIT|G2DNBIT|G2UPBIT)

// button indices
enum {
	BTN_G1SEL=0,
	BTN_G1DN,
	BTN_G1UP,
	BTN_G2SEL,
	BTN_G2DN,
	BTN_G2UP,

	BTN_NUM
};

// initialize buttons
void ButtonInit();

// check button
Bool BtnCheck(u8 inx);
